//+------------------------------------------------------------------+
//|                                         #MTF Supertrend line.mq4 |
//|                                      Copyright  2006, Eli hayun |
//|                                          http://www.elihayun.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Eli hayun"
#property link      "http://www.elihayun.com"

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Bisque
#property indicator_color2 LightSkyBlue
#property indicator_color3 PeachPuff
#property indicator_color4 PaleTurquoise
#property indicator_color5 MistyRose
#property indicator_color6 Aqua
#property indicator_color7 Magenta
#property indicator_color8 Lavender
//---- buffers

double buf_up1H[];
double buf_down1H[];

double buf_up30M[];
double buf_down30M[];

extern int Period_1 = PERIOD_M5;
extern int Period_2 = PERIOD_M15;

extern bool AutoDisplay      = false;

extern bool display_Period_1 = true;
extern bool display_Period_2 = true;

extern bool Play_Sound = true;
extern bool additional = false;
double alertTag;
double previous;
double last;
double test1;
double test2;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   int draw = DRAW_LINE; 
   
   draw = DRAW_LINE; if (!display_Period_2) draw = DRAW_NONE;
   SetIndexStyle(4,draw, STYLE_SOLID, 4);
   SetIndexBuffer(4,buf_up1H);
   SetIndexStyle(5,draw, STYLE_SOLID, 4);
   SetIndexBuffer(5,buf_down1H);

   draw = DRAW_LINE; if (!display_Period_1) draw = DRAW_NONE;
   SetIndexStyle(6,draw, STYLE_SOLID, 4);
   SetIndexBuffer(6,buf_up30M);
   SetIndexStyle(7,draw, STYLE_SOLID, 4);
   SetIndexBuffer(7,buf_down30M);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int i=0, y1d=0, y4h=0, y1h=0, y30m=0;
   int limit=Bars-counted_bars;

   datetime TimeArray_1D[] ,TimeArray_4H[], TimeArray_1H[], TimeArray_30M[];
//----
 
   ArrayCopySeries(TimeArray_1H,MODE_TIME,Symbol(),Period_2); 
   ArrayCopySeries(TimeArray_30M,MODE_TIME,Symbol(),Period_1);
      
   for(i=0, y1d=0,  y4h=0,  y1h=0,  y30m=0;i<limit;i++)
   {
      if (Time[i]<TimeArray_1H[y1h]) y1h++;
      if (Time[i]<TimeArray_30M[y30m]) y30m++;
 
      buf_up1H[i] = iCustom(NULL, Period_2, "SuperTrend", false, 1, y1h);
      test1 = iCustom(NULL, Period_2, "SuperTrend", false, 1, y1h);
      buf_down1H[i] = iCustom(NULL, Period_2, "SuperTrend", false, 0, y1h);
      test2 = iCustom(NULL, Period_2, "SuperTrend", false, 0, y1h);
      
      buf_up30M[i] = iCustom(NULL, Period_1, "SuperTrend", false, 1, y30m);
      test1 = iCustom(NULL, Period_1, "SuperTrend", false, 1, y30m);
      buf_down30M[i] = iCustom(NULL, Period_1, "SuperTrend", false, 0, y30m);
     test2 = iCustom(NULL, Period_1, "SuperTrend", false, 0, y30m);

  if(previous==0) previous = test1;
  if(last==0) last = previous;
 if( test1 == test2 && previous > test1 && alertTag!=Time[0]){
   Alert("Supertrend change direction Up on ",Symbol()," ",Period());
     alertTag = Time[0];
     previous=test1;
    }
 if( test1 == test2 && previous < test1 && alertTag!=Time[0]){
   Alert("Supertrend change direction down on ",Symbol()," ",Period());
     alertTag = Time[0];
     previous=test1;
    }
   }
   return(0);
  }
//+------------------------------------------------------------------+


